cc.Class({
    extends: cc.Component,

    properties: {
        label: {
            default: null,
            type: cc.Label
        },
        // defaults, set visually when attaching this script to the Canvas
        text: 'Hello, World!',
        graphics: cc.Graphics
    },

    // use this for initialization
    onLoad: function () {
        this.label.string = this.text;
        this.startPos = cc.v2(0,0);
    },

    start () {
        this.node.on(cc.Node.EventType.TOUCH_START,(event)=>{
            this.startPos = this.node.convertToNodeSpaceAR(event.touch.getLocation());
            this.graphics.moveTo(this.startPos.x, this.startPos.y);
            console.log("graphics is ready");
        }, this);

        this.node.on(cc.Node.EventType.TOUCH_MOVE,(event)=>{
            let drawPos = this.node.convertToNodeSpaceAR(event.touch.getLocation());
            this.graphics.circle(drawPos.x, drawPos.y, 10);
            this.graphics.fill();
        }, this);
    },

    // called every frame
    update: function (dt) {

    }
});
